; target system options

c128	= 1
c64	= 2
vic20	= 4
pet3001 = 8
pet4001 = 16

; memory expansion types

none	= 0
piaexp	= 1 ; 256kB on the C64 or 512 or 1024 kB on the C128
reuexp	= 2 ; Commodore RAM Expansion Unit
actionreuplay	= 1	; set this to 1 if using REU and
				; Action Replay simultaneously.
pet96	= 4 ; PET 8096/8296 expansion

; cable types

prlink	= 1 ; A 8-bit/4-bit cable, the default.
pc64	= 2 ; A 4-bit/4-bit cable used by the PC64 emulator.
c64net	= 4 ; A 4-bit/2-bit cable used by the 64net program.  Very slow.
prlink88 = 8 ; A 8-bit/8-bit cable
transnib = 16 ; A 4-bit/4-bit cable used by TransNib V1.00

  .include "chosen.inc"

;;;;
;
; The settings below are used in multiple assembler sources

#if target & c128
prsrv	= $1300
prutils = $1700
#endif
#if target & c64
prsrv	= $cd00
prutils = $c000
#endif
#if target & vic20
prsrv	= $4000 ; memory expansion at BLK2 assumed
prutils = $4400
#endif
#if target & (pet3001 | pet4001)
memsize = 32 * 1024	;; 32 K
prsrv  = memsize - $200
;prsrv	 = 34768
prutils = memsize - $800
petb480 = 1
petb440 = 0
#endif
